Bagikan melalui


Charges - List

Mencantumkan biaya berdasarkan cakupan yang ditentukan.

GET https://management.azure.com/{scope}/providers/Microsoft.Consumption/charges?api-version=2024-08-01
GET https://management.azure.com/{scope}/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate={startDate}&endDate={endDate}&$filter={$filter}&$apply={$apply}

Parameter URI

Nama Dalam Diperlukan Jenis Deskripsi
scope
path True

string

Pengidentifikasi Azure Resource manager sumber daya yang sepenuhnya memenuhi syarat.

api-version
query True

string

minLength: 1

Versi API yang digunakan untuk operasi ini.

$apply
query

string

Dapat digunakan untuk mengelompokkan biaya untuk cakupan billingAccount menurut properti/billingProfileId, properties/invoiceSectionId, properties/customerId (khusus untuk Led Mitra), atau untuk cakupan billingProfile menurut properties/invoiceSectionId.

$filter
query

string

Dapat digunakan untuk memfilter biaya menurut properti/usageEnd (Waktu Utc), properti/usageStart (Waktu Utc). Filter mendukung 'eq', 'lt', 'gt', 'le', 'ge', dan 'and'. Saat ini tidak mendukung 'ne', 'or', atau 'not'. Filter tag adalah string pasangan nilai kunci di mana kunci dan nilai dipisahkan oleh titik dua (:).

endDate
query

string

Tanggal berakhir

startDate
query

string

Tanggal mulai

Respons

Nama Jenis Deskripsi
200 OK

ChargesListResult

Permintaan telah berhasil.

Other Status Codes

ErrorResponse

Respons kesalahan tak terduga.

Keamanan

azure_auth

Alur OAuth2 Azure Active Directory.

Jenis: oauth2
Alur: implicit
URL Otorisasi: https://login.microsoftonline.com/common/oauth2/authorize

Cakupan

Nama Deskripsi
user_impersonation meniru akun pengguna Anda

Contoh

ChangesForBillingPeriodByDepartment-Legacy
ChangesForBillingPeriodByEnrollmentAccount-Legacy
ChargesListByBillingAccount-Modern
ChargesListByBillingAccountGroupByBillingProfileId-Modern
ChargesListByBillingAccountGroupByCustomerId-Modern
ChargesListByBillingAccountGroupByInvoiceSectionId-Modern
ChargesListByBillingProfile-Modern
ChargesListByBillingProfileGroupByInvoiceSectionId-Modern
ChargesListByBillingProfileInvoiceSection-Modern
ChargesListByCustomer-Modern
ChargesListByDepartment-Legacy
ChargesListByInvoiceSectionId-Modern
ChargesListForEnrollmentAccount-Legacy

ChangesForBillingPeriodByDepartment-Legacy

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChangesForBillingPeriodByEnrollmentAccount-Legacy

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChargesListByBillingAccount-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-10-31

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": null,
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2019-10-31",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByBillingProfileId-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/billingProfileId))

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/123456/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/123456",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByCustomerId-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/customerId))

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "customerId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890",
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789/customers/123456/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "customerId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/123456",
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByInvoiceSectionId-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/invoiceSectionId))

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789//billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingProfile-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/billingProfiles/2460/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListByBillingProfileGroupByInvoiceSectionId-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/invoiceSectionId))

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789//billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingProfileInvoiceSection-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-10-31

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-10-31",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByCustomer-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": null,
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListByDepartment-Legacy

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&$filter=usageStart eq '2018-04-01' AND usageEnd eq '2018-05-30'

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChargesListByInvoiceSectionId-Modern

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/invoiceSections/97531/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/invoiceSections/97531/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 12
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 0
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/invoiceSections/97531",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListForEnrollmentAccount-Legacy

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

Respon sampel

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

Definisi

Nama Deskripsi
amount

Jumlah ditambah mata uang .

ChargesListResult

Hasil dari mencantumkan ringkasan biaya.

ChargeSummaryKind

Menentukan jenis ringkasan biaya.

createdByType

Jenis identitas yang membuat sumber daya.

ErrorAdditionalInfo

Info tambahan kesalahan manajemen sumber daya.

ErrorDetail

Detail kesalahan.

ErrorResponse

Tanggapan kesalahan

LegacyChargeSummary

Ringkasan biaya warisan.

ModernChargeSummary

Ringkasan biaya modern.

systemData

Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.

amount

Jumlah ditambah mata uang .

Nama Jenis Deskripsi
currency

string

Jumlah mata uang.

value

number (decimal)

Jumlah.

ChargesListResult

Hasil dari mencantumkan ringkasan biaya.

Nama Jenis Deskripsi
value ChargeSummary[]:

Daftar ringkasan biaya

ChargeSummaryKind

Menentukan jenis ringkasan biaya.

Nilai Deskripsi
legacy
modern

createdByType

Jenis identitas yang membuat sumber daya.

Nilai Deskripsi
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Info tambahan kesalahan manajemen sumber daya.

Nama Jenis Deskripsi
info

object

Info tambahan.

type

string

Jenis info tambahan.

ErrorDetail

Detail kesalahan.

Nama Jenis Deskripsi
additionalInfo

ErrorAdditionalInfo[]

Info tambahan kesalahan.

code

string

Kode kesalahan.

details

ErrorDetail[]

Detail kesalahan.

message

string

Pesan kesalahan.

target

string

Target kesalahan.

ErrorResponse

Tanggapan kesalahan

Nama Jenis Deskripsi
error

ErrorDetail

Objek kesalahan.

LegacyChargeSummary

Ringkasan biaya warisan.

Nama Jenis Deskripsi
eTag

string

eTag sumber daya. Untuk menangani skenario pembaruan bersamaan, bidang ini akan digunakan untuk menentukan apakah pengguna memperbarui versi terbaru atau tidak.

id

string

ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Misalnya - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

legacy

Menentukan jenis ringkasan biaya.

name

string

Nama sumber daya

properties.azureCharges

number (decimal)

Biaya Azure.

properties.azureMarketplaceCharges

number (decimal)

Biaya Marketplace.

properties.billingPeriodId

string

Id sumber daya periode penagihan tempat biaya berada.

properties.chargesBilledSeparately

number (decimal)

Biaya Ditagih secara terpisah.

properties.currency

string

Kode Mata Uang

properties.usageEnd

string

Tanggal selesai penggunaan.

properties.usageStart

string

Tanggal mulai penggunaan.

systemData

systemData

Metadata Azure Resource Manager yang berisi informasi createBy dan modifiedBy.

type

string

Jenis sumber daya. Misalnya "Microsoft.Compute/virtualMachines" atau "Microsoft.Storage/storageAccounts"

ModernChargeSummary

Ringkasan biaya modern.

Nama Jenis Deskripsi
eTag

string

eTag sumber daya. Untuk menangani skenario pembaruan bersamaan, bidang ini akan digunakan untuk menentukan apakah pengguna memperbarui versi terbaru atau tidak.

id

string

ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Misalnya - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

modern

Menentukan jenis ringkasan biaya.

name

string

Nama sumber daya

properties.azureCharges

amount

Biaya Azure.

properties.billingAccountId

string

Id Akun Penagihan

properties.billingPeriodId

string

Id sumber daya periode penagihan tempat biaya berada.

properties.billingProfileId

string

Id Profil Penagihan

properties.chargesBilledSeparately

amount

Biaya Ditagih secara terpisah.

properties.customerId

string

Id Pelanggan

properties.invoiceSectionId

string

Id Bagian Faktur

properties.isInvoiced

boolean

Dikenakan biaya Faktur

properties.marketplaceCharges

amount

Biaya Marketplace.

properties.subscriptionId

string

Panduan langganan.

properties.usageEnd

string

Tanggal selesai penggunaan.

properties.usageStart

string

Tanggal mulai penggunaan.

systemData

systemData

Metadata Azure Resource Manager yang berisi informasi createBy dan modifiedBy.

type

string

Jenis sumber daya. Misalnya "Microsoft.Compute/virtualMachines" atau "Microsoft.Storage/storageAccounts"

systemData

Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.

Nama Jenis Deskripsi
createdAt

string (date-time)

Stempel waktu pembuatan sumber daya (UTC).

createdBy

string

Identitas yang membuat sumber daya.

createdByType

createdByType

Jenis identitas yang membuat sumber daya.

lastModifiedAt

string (date-time)

Stempel waktu modifikasi terakhir sumber daya (UTC)

lastModifiedBy

string

Identitas yang terakhir memodifikasi sumber daya.

lastModifiedByType

createdByType

Jenis identitas yang terakhir memodifikasi sumber daya.